Bug 202922 - rawinput.typeText() interval should be longer and/or configurable.
rawinput.typeText() interval should be longer and/or configurable.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dogtail (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Zack Cerza
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 04:26 EDT by Yan Tian
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 14:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yan Tian 2006-08-17 04:26:36 EDT
Description of problem:
In RHEL4-U3 system, used the rawinput/typeText() in the script. Can't type one
character at a time, but whole string at a time. It seemed no difference with
text().  

Version-Release number of selected component (if applicable):
dogtail-0.5.1-1

How reproducible:
always

Steps to Reproduce:
1.run script test-input.py. Using text().
2.run script test-typeText.py. Using typeText().
3.diff -Nur test-input.py test-typeText.py > diff.txt
4.view diff.txtas below:
--- test-input.py       2006-08-15 16:29:31.000000000 +0800
+++ test-typeText.py    2006-08-15 16:29:39.000000000 +0800
@@ -1,5 +1,5 @@
 #!/usr/bin/env python
-# Test inputing to the screen by text() #3514
+# Test inputing to the screen character by character #3514

 import dogtail.tree
 import dogtail.utils
@@ -11,7 +11,7 @@
 dogtail.utils.run('gedit')
 gedit = dogtail.tree.root.application('gedit')

-gedit.child(roleName = 'text').text = string
+gedit.child(roleName = 'text').typeText(string)

 quitItem = gedit.menu("File").menuItem("Quit")
 quitItem.click()
  
Actual results:
1 and 2 running results were same.

Expected results:
1 script type whole string at a time.
2 script type one character at a time.

Additional info:
Comment 1 Zack Cerza 2006-08-18 14:06:12 EDT
tree.Node.typeText(string) currently just does:
    self.text += string
This is different in CVS and will be in the next release.

rawinput.typeText(string) does in fact type each character one by one, but does
so in a tight loop. There should probably be a configurable delay.
Comment 2 Zack Cerza 2006-08-23 14:12:33 EDT
The interval in CVS has been changed to be 75ms, which looks pretty realistic.

Note You need to log in before you can comment on or make changes to this bug.